Index: trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp	(revision 6850)
+++ trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp	(revision 6851)
@@ -346,8 +346,4 @@
     satPhaseBias._time       = _lastTime;
     satPhaseBias._updateInt  = _phaseBias.UpdateInterval;
-    satPhaseBias._dispersiveBiasConsitencyIndicator
-                             = _phaseBias.DispersiveBiasConsistencyIndicator;
-    satPhaseBias._MWConsistencyIndicator
-                             = _phaseBias.MWConsistencyIndicator;
     satPhaseBias._yawDeg     = _phaseBias.Sat[ii].YawAngle * 180.0 / M_PI;
     satPhaseBias._yawDegRate = _phaseBias.Sat[ii].YawRate * 180.0 / M_PI;
Index: trunk/BNC/src/satObs.cpp
===================================================================
--- trunk/BNC/src/satObs.cpp	(revision 6850)
+++ trunk/BNC/src/satObs.cpp	(revision 6851)
@@ -217,6 +217,4 @@
       *out << "> PHASE_BIAS " << epoTime.datestr(' ') << ' ' << epoTime.timestr(1,' ') << " "
            << satPhaseBias._updateInt <<  " "
-           << satPhaseBias._dispersiveBiasConsitencyIndicator <<  " "
-           << satPhaseBias._MWConsistencyIndicator <<  " "
            << biasList.size() << ' ' << satPhaseBias._staID << endl;
     }
Index: trunk/BNC/src/satObs.h
===================================================================
--- trunk/BNC/src/satObs.h	(revision 6850)
+++ trunk/BNC/src/satObs.h	(revision 6851)
@@ -149,6 +149,4 @@
   t_satPhaseBias() {
     _updateInt  = 0;
-    _dispersiveBiasConsitencyIndicator = 0;
-    _MWConsistencyIndicator = 0;
     _yawDeg     = 0.0;
     _yawDegRate = 0.0;
@@ -160,6 +158,4 @@
   bncTime                     _time;
   unsigned int                _updateInt;
-  unsigned int                _dispersiveBiasConsitencyIndicator;
-  unsigned int                _MWConsistencyIndicator;
   double                      _yawDeg;
   double                      _yawDegRate;
Index: trunk/BNC/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 6850)
+++ trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 6851)
@@ -394,6 +394,6 @@
 
       QMap<QString, double> codeBiases;
-
-      QVector<phaseBiasSignal*> pbSig(0);
+      QList<phaseBiasSignal> phaseBiasList;
+      phaseBiasesSat pbSat;
 
       while (true) {
@@ -439,12 +439,17 @@
           }
         }
+        else if (key == "yawAngle") {
+          in >> numVal >> pbSat.yA;
+        }
+        else if (key == "yawRate") {
+          in >> numVal >> pbSat.yR;
+        }
         else if (key == "PhaseBias") {
-          phaseBiasesSat pbSat;
-          in >> pbSat.yA >> pbSat.yR >> pbSat.dispInd >> pbSat.MWInd;
           in >> numVal;
-          pbSig.resize(numVal);
           for (int ii = 0; ii < numVal; ii++) {
-            in >> pbSig[ii]->type >> pbSig[ii]->bias >> pbSig[ii]->intInd
-                >> pbSig[ii]->WLInd >> pbSig[ii]->discCount;
+            phaseBiasSignal pb;
+            in >> pb.type >> pb.bias >> pb.intInd >> pb.WLInd
+              >> pb.discCount;
+            phaseBiasList.append(pb);
           }
         }
@@ -938,532 +943,534 @@
         phasebiasSat->ID = prn.mid(1).toInt();
         phasebiasSat->NumberOfPhaseBiases = 0;
+        phasebiasSat->YawAngle = pbSat.yA;
+        phasebiasSat->YawRate = pbSat.yR;
         if      (prn[0] == 'G') {
-          QMutableVectorIterator<phaseBiasSignal*> it(pbSig);
+          QListIterator<phaseBiasSignal> it(phaseBiasList);
           while (it.hasNext()) {
-            phaseBiasSignal *pbsig = it.next();
-            if      (pbsig->type == "1C") {
+            const phaseBiasSignal &pbSig = it.next();
+            if      (pbSig.type == "1C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1_CA;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1P") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1P") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1_P;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1W") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1W") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L1_Z;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2C") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CA;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2D") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2D") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_SEMI_CODELESS;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2S") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2S") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CM;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2L") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2L") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CL;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_CML;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2P") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2P") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_P;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2W") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2W") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L2_Z;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L5_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L5_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGPS_L5_IQ;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
           }
         }
         if      (prn[0] == 'R') {
-          QMutableVectorIterator<phaseBiasSignal*> it(pbSig);
+          QListIterator<phaseBiasSignal> it(phaseBiasList);
           while (it.hasNext()) {
-            phaseBiasSignal *pbsig = it.next();
-            if      (pbsig->type == "1C") {
+            const phaseBiasSignal &pbSig = it.next();
+            if      (pbSig.type == "1C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L1_CA;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1P") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1P") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L1_P;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2C") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L2_CA;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2P") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2P") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGLONASS_L2_P;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
           }
         }
         if      (prn[0] == 'E') {
-          QMutableVectorIterator<phaseBiasSignal*> it(pbSig);
+          QListIterator<phaseBiasSignal> it(phaseBiasList);
           while (it.hasNext()) {
-            phaseBiasSignal *pbsig = it.next();
-            if      (pbsig->type == "1A") {
+            const phaseBiasSignal &pbSig = it.next();
+            if      (pbSig.type == "1A") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_A;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1B") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1B") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_B;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1C") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E1_C;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5A_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5A_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "7I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "7I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5B_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "7Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "7Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5B_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "8I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "8I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "8Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "8Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E5_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6A") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6A") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_A;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6B") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6B") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_B;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6C") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEGALILEO_E6_C;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
           }
         }
         if      (prn[0] == 'J') {
-          QMutableVectorIterator<phaseBiasSignal*> it(pbSig);
+          QListIterator<phaseBiasSignal> it(phaseBiasList);
           while (it.hasNext()) {
-            phaseBiasSignal *pbsig = it.next();
-            if      (pbsig->type == "1C") {
+            const phaseBiasSignal &pbSig = it.next();
+            if      (pbSig.type == "1C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1_CA;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1S") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1S") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1C_D;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1L") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1L") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1C_P;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "1X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "1X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L1C_DP;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2S") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2S") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L2_CM;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2L") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2L") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L2_CL;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L2_CML;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L5_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L5_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_L5_IQ;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6S") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6S") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_LEX_S;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6L") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6L") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_LEX_L;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPEQZSS_LEX_SL;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
           }
         }
         if      (prn[0] == 'S') {
-          QMutableVectorIterator<phaseBiasSignal*> it(pbSig);
+          QListIterator<phaseBiasSignal> it(phaseBiasList);
           while (it.hasNext()) {
-            phaseBiasSignal *pbsig = it.next();
-            if      (pbsig->type == "1C") {
+            const phaseBiasSignal &pbSig = it.next();
+            if      (pbSig.type == "1C") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L1_CA;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L5_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L5_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "5X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "5X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_SBAS_L5_IQ;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
           }
         }
         if      (prn[0] == 'C') {
-          QMutableVectorIterator<phaseBiasSignal*> it(pbSig);
+          QListIterator<phaseBiasSignal> it(phaseBiasList);
           while (it.hasNext()) {
-            phaseBiasSignal *pbsig = it.next();
-            if      (pbsig->type == "2I") {
+            const phaseBiasSignal &pbSig = it.next();
+            if      (pbSig.type == "2I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B1_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B1_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "2X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "2X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B1_IQ;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B2_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B2_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "6X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "6X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B2_IQ;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "7I") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "7I") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B3_Q;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "7Q") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "7Q") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B3_I;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
-            }
-            else if (pbsig->type == "7X") {
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
+            }
+            else if (pbSig.type == "7X") {
               int ii = phasebiasSat->NumberOfPhaseBiases; if (ii >= CLOCKORBIT_NUMBIAS) break;
               phasebiasSat->NumberOfPhaseBiases += 1;
               phasebiasSat->Biases[ii].Type = CODETYPE_BDS_B3_IQ;
-              phasebiasSat->Biases[ii].Bias = pbsig->bias;
-              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbsig->intInd;
-              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbsig->WLInd;
-              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbsig->discCount;
+              phasebiasSat->Biases[ii].Bias = pbSig.bias;
+              phasebiasSat->Biases[ii].SignalIntegerIndicator          = pbSig.intInd;
+              phasebiasSat->Biases[ii].SignalsWideLaneIntegerIndicator = pbSig.WLInd;
+              phasebiasSat->Biases[ii].SignalDiscontinuityCounter      = pbSig.discCount;
             }
           }
Index: trunk/BNC/src/upload/bncrtnetuploadcaster.h
===================================================================
--- trunk/BNC/src/upload/bncrtnetuploadcaster.h	(revision 6850)
+++ trunk/BNC/src/upload/bncrtnetuploadcaster.h	(revision 6851)
@@ -74,6 +74,4 @@
   double yA;
   double yR;
-  unsigned int dispInd;
-  unsigned int MWInd;
 };
 
